Subject: Re: Help!Some memory doesn't work on PPC405Ex based board!

From: Feng Kan <[email-masked]>
Date: Tue, 14 Apr 2009 09:30:46 -0700

Hi SunNeo:

The fact that it is hanging at the same place in kernel seems strange.
Usually when dram initialization is incorrect,
the kernel would not run at all. Uboot just hangs at relocate code. I
suggest you turn on early kernel printf to see
if you get some other outputs.

P.S when you have discrete memory on board. you have to be sure that
your calibration values are correct. The RDCC
RQDC value should be best possible. You can run the fix initialization
and then lift the autocalibration routine
to the end of the fix dram init to determine the best RFDC RQDC windows.
After that recode the fix values for those
registers.

Feng Kan
AMCC Software

SunNeo wrote:
> Hi, Stefan,
>  
> Thanks for your help.
>  
> My platform uses the MICRON MT47H256M8THN DDRII SDRAM and the DDRII SDRAM is soldered on the board.
>
> As I said, my board was similar with "Kilauea" evb, so I created my configuration header file from Kilauea's at U-Boot. In the configuration file, register value for the DDR SDRAM controller is defined. But I have removed DDR autocalibraton related configuration from the configuration file, do you think this will cause any issues?
>  
> I'm not sure what you mean about "intensive memory test". I use "mm" cmd under U-Boot command prompt to modify value of high 512M memory, and this command works well.
>  
> About booting Linux, the kernel hangs at the same location. Always after this print info "<4>Mount-cache hash table entries: 512".
>
> Best Regards,
> Sun
>  
>   
>> From: [email-masked]
>> To: [email-masked]
>> Subject: Re: Help!Some memory doesn't work on PPC405Ex based board!
>> Date: Tue, 14 Apr 2009 11:23:02 +0200
>> CC: [email-masked]
>>
>> On Monday 13 April 2009, SunNeo wrote:
>>     
>>> I'm porting Linux-2.6.29 on PPC405Ex based board, it's very similar to AMCC
>>> "Kilauea" evb.
>>>
>>> In my board, two 512MB DDRII memory is connected to 2 ranks of the 405Ex
>>> CPU. This 1GB memory works well at U-Boot-2009.01, but when I boot
>>> Linux-2.6.29, the kernel hangs somewhere.
>>>       
>> Does it just hang "somewhere", or always at the same location? A random hangup 
>> could mean that you are having a memory problem (hardware, or wrong 
>> initialization).
>>
>>     
>>> What interesting is, if I 
>>> configured the system to use only 512MB memory at U-Boot, the Linux can
>>> boot normally .
>>>       
>> Are you using DIMM's on your platform? Or soldered chips? Which memory 
>> initialization code are you using in U-Boot? And which autocalibration code?
>>
>> Did you do some intensive memory test?
>>
>> Best regards,
>> Stefan
>>     
>
>
>   _____  
>
> 把MSN装进手机，更多聊天乐趣等你挖掘！ 立刻下载！ <http://mobile.msn.com.cn/> 
>
>